---
- hosts: openshift_controller
  module_defaults:
    group/kubernetes.core.k8s:
      api_key: "{{ openshift_dedicated_api_key }}"
      host: "{{ openshift_dedicated_host }}"
  roles:
    - role: openshift-apps/clc
      project: prod-clc-osci-io
      vhost: clc.osci.io
      scratch_size: "25Gi"
      admin_password: "{{ clc_osci_io.admin_password }}"
      readonly_password: "{{ clc_osci_io.readonly_password }}"
      github_api_key: "{{ clc_osci_io.github_api_key }}"

    - role: openshift-apps/elekto
      vhost: elections.knative.dev
      project: prod-elections-knative-dev
      github_client_id: "{{ elections_knative_dev.github_client_id }}"
      github_client_secret: "{{ elections_knative_dev.github_client_secret }}"
      meta:
        repository: https://github.com/knative/community.git
        directory: "elections"
